## class Fl_Progress

### Class Hierarchy

    Fl_Widget
       |
       +----Fl_Progress

### Include Files

    #include <FL/Fl_Progress.H>

### Description

The `Fl_Progress` widget displays a progress bar for the user.

### Methods

- Fl_Progress
- ~Fl_Progress
- maximum
- minimum
- value

#### Fl_Progress::Fl_Progress(int x, int y, int w, int h, const char *label = 0)

The constructor creates the progress bar using the position, size, and label.

#### Fl_Progress::~Fl_Progress(void)

The destructor removes the progress bar.

#### void maximum(float v);
float maximum() const;

Gets or sets the maximum value in the progress widget.

#### void minimum(float v);
float minimum() const;

Gets or sets the minimum value in the progress widget.

#### void value(float v);
float value() const;

Gets or sets the current value in the progress widget.